<?php

function dashboard_inventory_item_consuption($from_month_display_order, $to_month_display_order, $qty_val) {
    
    global $systypes_array;
//    display_heading2('(Based on Goods Received Notes and Tax Free Item Costs)');  
    
    $month_ranges_array = dashboard_get_month_ranges_array($from_month_display_order, $to_month_display_order);
    $table_width = dashboard_calculate_table_width($month_ranges_array);
    br();
    
    start_table(TABLESTYLE, "width=$table_width%");
        
        $th = array("Item", "Unit");
            foreach ($month_ranges_array as $month) {
                $th[] = $month['month_name'];
            }
            $th[] = "Total";

            table_header($th);
            
            $from_month = get_month_by_display_order($from_month_display_order);
            $to_month = get_month_by_display_order($to_month_display_order);
            
            $from_date = $from_month['month_begin_date'];
            $to_date = $to_month['month_end_date'];
            
            if($qty_val == 1){
                $items_res = dashboard_get_inventory_item_consuption_items_value($from_date, $to_date);
            }
            elseif($qty_val == 2){
                $items_res = dashboard_get_inventory_item_consuption_items_qty($from_date, $to_date);
            }
            
            $k = 0;
            
            
            while ($item = db_fetch($items_res)) {
                alt_table_row_color($k);

                $item_code = $item['item_code'];
                $item_name = get_stock_item_formatted_name($item_code, false, $item['item_description']);
                label_cell($item_name);
                label_cell($item['unit_name']);
                
                foreach ($month_ranges_array as &$month) {
                    
                    $from_date = $month['month_begin'];
                    $to_date = $month['month_end'];

                    $parameters = "item=".$item_code."&from_date=$from_date&to_date=$to_date";
                    
                    if($qty_val == 1){
                        $total = dashboard_get_period_inventory_item_consuption_total($item_code, $from_date, $to_date);
                        $month['month_value'] += $total; 
                    }
                    elseif($qty_val == 2){
                        $total = dashboard_get_period_inventory_item_consuption_qty($item_code, $from_date, $to_date);
                    }
                    
                    
                    if($total != 0){
                        $str_count = get_dashboard_view_str(DASH_SC_INVENTORY_ITEM_CONSUMPTION, $parameters, number_format($total,2));
                    }else{
//                        $str_count = number_format($total,2);
                        $str_count = "";
                    }
                    label_cell($str_count, 'align=right');
                }   
                
                label_cell(number_format($item['grand_total'],2), 'align=right');
                end_row();
            }
            
        if($qty_val == 1){
            dashboard_display_simple_month_totals($month_ranges_array, 2); 
        }        
                
            
    end_table(2);
}
